#!/bin/sh

#DISTRIBUTION_BIN=/Users/virieux/lsst/CameraControl/org-lsst-ccs-subsystem-fcs-2.0/main/target/distribution/bin
source .setupFCS_BIN
echo "DISTRIBUTION_BIN=$DISTRIBUTION_BIN"

DESCRIPTION_FILE=carousel__simulation
echo "DESCRIPTION_FILE=$DESCRIPTION_FILE"


P0=java.util.logging.ConsoleHandler.level\=ALL
echo "P0=$P0"

P1=java.util.logging.FileHandler.formatter\=org.lsst.ccs.utilities.logging.TextFormatter
echo "P1=$P1"

P7=java.util.logging.FileHandler.level\=ALL

LOGFILENAME=java.util.logging.FileHandler.pattern\=%L/ccs-logs-%A-Carousel-simu.log
echo "LOGFILENAME=$LOGFILENAME"

P2=.level\=WARNING
echo "P2=$P2"

P3=org.lsst.ccs.level\=WARNING
#P3=org.lsst.ccs.level\=ALL

echo "P3=$P3"
 
P4=org.lsst.ccs.bus.level\=INFO
#P4=org.lsst.ccs.bus.level\=ALL
echo "P4=$P4"

P5=org.lsst.ccs.subsystems.fcs.level\=ALL
echo "P5=$P5"

P6=org.lsst.ccs.startInEngineeringMode\=true

/bin/sh $DISTRIBUTION_BIN/CCSbootstrap.sh -app FcsSubsystem --description $DESCRIPTION_FILE --configuration "" -D $P0 -D $P1 -D $P2 -D $P3 -D $P4 -D $P5 -D $LOGFILENAME -D $P7 $*
